Fine-tuning
Get model limits
Get model limits for a specific fine-tuning model.
GET
Together AI SDK (Python)
Authorizations
Response
Model limits.
Model limits for fine-tuning.
Together AI SDK (Python)
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get model limits for a specific fine-tuning model.
from together import Together
client = Together()
limits = client.fine_tuning.model_limits(
model_name="meta-llama/Meta-Llama-3.1-8B-Instruct-Reference",
)
print(limits)import Together from "together-ai";
const client = new Together();
const limits = await client.fineTuning.modelLimits({
model_name: "meta-llama/Meta-Llama-3.1-8B-Instruct-Reference",
});
console.log(limits);
import Together from "together-ai";
const client = new Together();
const limits = await client.fineTuning.modelLimits({
model_name: "meta-llama/Meta-Llama-3.1-8B-Instruct-Reference",
});
console.log(limits);
curl "https://api.together.ai/v1/fine-tunes/models/limits?model_name=meta-llama/Meta-Llama-3.1-8B-Instruct-Reference" \
-H "Authorization: Bearer $TOGETHER_API_KEY"
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/fine-tunes/models/limits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/fine-tunes/models/limits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.together.ai/v1/fine-tunes/models/limits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/fine-tunes/models/limits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"model_name": "<string>",
"lora_training": {
"max_batch_size": 123,
"max_batch_size_dpo": 123,
"min_batch_size": 123,
"max_rank": 123,
"default_rank": 123,
"target_modules": [
"<string>"
]
},
"max_num_epochs": 123,
"max_num_evals": 123,
"max_learning_rate": 123,
"min_learning_rate": 123,
"supports_full_training": true,
"supports_vision": true,
"supports_tools": true,
"supports_reasoning": true,
"merge_output_lora": true,
"default_gradient_accumulation_steps": 123,
"max_num_checkpoints": 123,
"min_max_seq_length": 123,
"max_seq_length_sft": 123,
"max_seq_length_dpo": 123,
"full_training": {
"max_batch_size": 123,
"max_batch_size_dpo": 123,
"min_batch_size": 123
}
}{
"message": "<string>"
}Model limits.
Model limits for fine-tuning.
Was this page helpful?
from together import Together
client = Together()
limits = client.fine_tuning.model_limits(
model_name="meta-llama/Meta-Llama-3.1-8B-Instruct-Reference",
)
print(limits)import Together from "together-ai";
const client = new Together();
const limits = await client.fineTuning.modelLimits({
model_name: "meta-llama/Meta-Llama-3.1-8B-Instruct-Reference",
});
console.log(limits);
import Together from "together-ai";
const client = new Together();
const limits = await client.fineTuning.modelLimits({
model_name: "meta-llama/Meta-Llama-3.1-8B-Instruct-Reference",
});
console.log(limits);
curl "https://api.together.ai/v1/fine-tunes/models/limits?model_name=meta-llama/Meta-Llama-3.1-8B-Instruct-Reference" \
-H "Authorization: Bearer $TOGETHER_API_KEY"
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/fine-tunes/models/limits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/fine-tunes/models/limits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.together.ai/v1/fine-tunes/models/limits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/fine-tunes/models/limits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"model_name": "<string>",
"lora_training": {
"max_batch_size": 123,
"max_batch_size_dpo": 123,
"min_batch_size": 123,
"max_rank": 123,
"default_rank": 123,
"target_modules": [
"<string>"
]
},
"max_num_epochs": 123,
"max_num_evals": 123,
"max_learning_rate": 123,
"min_learning_rate": 123,
"supports_full_training": true,
"supports_vision": true,
"supports_tools": true,
"supports_reasoning": true,
"merge_output_lora": true,
"default_gradient_accumulation_steps": 123,
"max_num_checkpoints": 123,
"min_max_seq_length": 123,
"max_seq_length_sft": 123,
"max_seq_length_dpo": 123,
"full_training": {
"max_batch_size": 123,
"max_batch_size_dpo": 123,
"min_batch_size": 123
}
}{
"message": "<string>"
}